#----------------------------------------------------------------------------
#
# T17Man Script for Superfrog instructions
#
#----------------------------------------------------------------------------

#----------------------------------------------------------------------------
#
# Picture declarations.
#

@PICTURES:
AeroPicture     = "ManGFX/AeroDude.iff"
ExtraLife       = "ManGFX/ExtraLife.iff"
InvisibilityPic = "ManGFX/Invisibility.iff"
Lucozade        = "ManGFX/Lucozade.iff"
RestartPill     = "ManGFX/RestartPill.iff"
SpeedPic        = "ManGFX/SpeedPill.iff"
SpeedUpPic      = "ManGFX/SpeedUp.iff"
SpudPic         = "ManGFX/Spud.iff"
SuperfrogLogo   = "ManGFX/SuperFrogLogo.iff"
SuperfrogPic    = "ManGFX/Superfrog.iff"
WingsPic        = "ManGFX/Wings.iff"

#----------------------------------------------------------------------------
#
# Font declarations.
#

@FONTS:
TitleFont = GoudyB.font,23,bold
TextFont  = Siesta.font,9

#----------------------------------------------------------------------------
#
# Colour declarations.
#

@COLOURS:
Blue      = 0,0,255
LBlue     = 128,128,255
Red       = 255,0,0
LRed      = 255,128,128
Yellow    = 192,192,0
White     = 255,255,255
OceanBlue = 0,33,130
SkyBlue   = 96,112,224

#----------------------------------------------------------------------------
#
# Screen definitions
#
@SCREENS:
#----------------------- Story screen

@SCREEN Story
@BACKGROUND LBlue

@FILLBOX 85,75,450,150,OceanBlue
@BOX 85,75,450,150,White

@TEXT 100,85,420,150,TextFont,White

Hi there and a warm welcome to magic land... former home of the magic Prince
and his lovely bride to be. All was peace and harmony until the wicked
witch lived up to those fabled Danish fairy-tales and predictably turned
the poor old Prince into nothing more than a little green frog...  But... it
was only a matter of a few hours beside the river-bank (being Prince's
far-less-stately new home) when a strange bottle floated past... intrigued,
he grabbed it and drank from the bottle and the rest is history... or at
least it will be sooner or later.

@PICTURE 180,12,SuperfrogLogo
@PICTURE 511,195,AeroPicture

@ENDSCREEN

#----------------------- Compatibility screen

@SCREEN compat

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@FILLBOX 20,35,600,180,OceanBlue
@BOX 20,35,600,180,White
@TEXT 35,40,570,180,TextFont,White
COMPATIBILITY AND OTHER NOTES
 This Superfrog CD has been designed to work on an Amiga CD32, and should also run happily on an A1200 equipped with a CD-ROM drive.

RECOMMENDATIONS
 Superfrog is controlled via a CD32 joypad, but the game is coded to make use of a joystick if you prefer. Turn any auto-fire off before
play as the game will not function correctly with auto-fire enabled.

Hooking your Amiga's sound output through an amplifier or your hi-fi will
result in even further enjoyment of the excellent music during the game.

If your disc becomes faulty by spilling coffee or whatever else on them, then please refer to the Returns guide.

@ENDSCREEN

#----------------------- Game Options

@SCREEN Game Options

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@FILLBOX 20,35,600,210,OceanBlue
@BOX 20,35,600,210,White
@TEXT 35,40,570,210,TextFont,White
MAIN MENU
 When this disc has loaded and the Superfrog character is on screen, pressing
your button will reveal two selections; Start Game and Options.

GAME OPTIONS
 You can move through the various selections with the joystick, using fire
to toggle the various options. When you are satisfied you can return to the
main menu and start the game.

LIVES
 Selectable between 3, 5 or 7 [Default is 3]

SKILL LEVEL 
 Easy or Normal. Easy gives you a slightly slower type of control, more
game-time etc. [Default is normal]

LEVEL CODES
 During the game you will be given codes to restart at various levels,
these can be typed in here.
@ENDSCREEN

#----------------------- Start Game

@SCREEN Start Game

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@FILLBOX 80,40,480,170,OceanBlue
@BOX 80,40,480,170,White
@TEXT 90,45,460,210,TextFont,White
START GAME
 If you have one of the LEVEL-CODES as described earlier, you may jump into
the game at a later level, so there's no need to cover old ground (unless
you feel that you need the practice or you are after a big score!) otherwise you start at the beginning, in the magic-woods as Superfrog sets off in his quest to vanquish his froggy curse, get back his girl and teach that old witch a lesson or two!

GAME PLAY
 The game is divided into worlds, of which there are six major ones, in each
world there are a number of levels and you must complete all the levels in
order to advance through that world and onto the next.

@ENDSCREEN

#----------------------- Money & Time

@SCREEN Money
#----------------------- Money & Time

@SCREEN Money

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@FILLBOX 20,35,600,195,OceanBlue
@BOX 20,35,600,195,White
@TEXT 35,40,570,195,TextFont,White
MONEY MAKES THE WORLD GO AROUND
 To complete a level you must collect a certain number of coins, which acts
as a toll fee (even in magic-worlds, bills must be paid, appearance fees
met and so on...) - this is shown on the large coin in the bottom right hand
corner of the screen. When all the coins have been collected, the exit will
be open and you can progress further.

THE TIME ELEMENT & BONUS AWARDS
 You will also notice that when you start, a timer begins to count down...
this represents the time you have left before your super-powers run out and
you turn into a normal frog once more... which in effect means that the game
is over. To counter this effect, Superfrog must find and drink bottles of
Lucozade to maintain this super-energy... in the first few worlds there is
plenty of Lucozade scattered about, but as you progress it becomes
increasingly rare and this means that you have to move quicker and be more
thoughtful in your approach.
@ENDSCREEN

#----------------------- Collecting Fruit

@SCREEN Collecting Fruit

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@TEXT 50,40,530,160,TextFont,White

Collecting Fruit gives you points and also counts towards the super bonus
award at the conclusion of each of the games levels. You are awarded
credits for the amount of time left (increased by collecting more
Lucozade), the number of fruit collected and also the number of coins
collected (including all the hidden ones). You are then given the chance to
change these credits into points, or gamble them on the bonus game. (See
bonus game)

You will also find a number of special powers scattered around for your
use, these are detailed below;

WINGS
 Enables you to fly by quickly pressing your button when in the air, this
helps perform greater leaps. You cannot stay airborne forever though and
sooner or later you'll drop back down to earth.

@PICTURE 10,176,WingsPic,2,1
@ENDSCREEN

#----------------------- Special Items

@SCREEN Special Items

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@TEXT 75,40,480,210,TextFont,White
DESTRUCTO-SPUD
 This little green blob does your dirty work, you can throw him at
airborne enemies and knock them to the ground. To fire spud, hold down your
joystick button when you are stood still (it will not work in the air). You
can also fire Spud upwards and to the side by pressing the relevant
direction whilst holding fire down.

INVISIBILITY PILL
 This little red pill renders Superfrog invisible to his enemies for a
short time.

SPEED PILL
 These come in two forms, SPEEDUP (Green) and SLOWDOWN (Red) and are
obvious as to what they do. Speed pills are usually placed in a position
where speed is either necessary or useful and not in places where going
fast would be a hindrance, such as a particularly tricky jumping section.

@PICTURE 24,50,SpudPic,2,1
@PICTURE 24,133,InvisibilityPic,2,1
@PICTURE 20,170,SpeedUpPic,2,1
@PICTURE 20,190,SpeedPic,2,1

@ENDSCREEN

#----------------------- Special Items
@SCREEN Special Items

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@TEXT 75,40,520,210,TextFont,White
SPECIAL ITEMS Cont...

LUCOZADE
 This prolongs your super-energy and also acts to boost your bonus award
at the end of each level. The more Lucozade you get, the more time you will
have, the better score you will achieve. It pays to find those golden
bottles!

RESTART PILL
 This red pill with a large "R" on it enables you to re-start at this
point should you lose a life. On the early worlds, these pills are pretty
common, enabling you to get further into the game more quickly.

OTHER ITEMS
 Other special items, such as Jewels, Crowns and so on, can be found in
particular worlds and levels. These add greatly to your score and are well
worth seeking.

You are awarded an extra frog every 200,000 points.

@PICTURE 24,65,Lucozade,2,1
@PICTURE 24,130,RestartPill,2,1
@PICTURE 24,230,ExtraLife,2,1

@ENDSCREEN

#----------------------- Controlling SuperFrog

@SCREEN Controlling SuperFrog

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@FILLBOX 45,35,550,195,OceanBlue
@BOX 45,35,550,195,White
@TEXT 55,40,530,190,TextFont,White
CONTROLLING SUPERFROG

The controls have been made as simple as possible, allowing precision and
comfort on the joypad.

Pushing left/right will move the frog left/right. Pushing up will make
Superfrog jump, as will pressing any of the fire buttons except the red one, pushing up and keeping the joypad up will make him jump a
little higher. 

Pressing the red fire-button has no effect unless he has collected a special
item such as Wings or he is carrying his friend Spud. (See special items).

When in flight you can move Superfrog right/left and manoeuvre him over
dangerous obstacles and enemies. If you tap the joystick in the opposite
direction, he will drop straight down, allowing you to control where he
will land/drop.

@ENDSCREEN
#----------------------- Enemies

@SCREEN Enemies

@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@FILLBOX 40,35,560,193,OceanBlue
@BOX 40,35,560,193,White
@TEXT 55,40,530,180,TextFont,White
Enemies
 You can attack various enemies from the air, such as the snails and blue
blobs on world one... this will "splat" them and enables you to clear the
world and collect a fruit bonus in the process. Some enemies, the bird and
hedgehog in world one for example, cannot be destroyed. It is for you to
discover which creatures are invincible in other worlds... the best way to find out is to get an invisibility pill and jump on the enemies! Airborne enemies such as the bats and wasps can be jumped on or blasted by SPUD.

It's common sense to avoid things like fire, spikes and so on... frogs, even
super-ones are generally soft, gooey creatures that do not enjoy such
contact.

LEVEL ONE HINTS
 To get you started, you should note that level 1 has two hidden sections
and that the Blobs, Snails and Wasps can all be squashed by jumping on
them.
@ENDSCREEN

#----------------------- Bonus Game

@SCREEN Bonus Game
@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@FILLBOX 20,35,600,210,OceanBlue
@BOX 20,35,600,210,White
@TEXT 30,40,580,210,TextFont,White
BONUS GAME - FRUIT MACHINE

After the super-award at the end of each level, you are given credits which
you can turn into points, or use on the Fruit Machine. In the Fruit Machine
you can try and win level codes, extra lives and massive point advances
(all numbers shown mean thousands of points). Playing the machine is simple
enough and can be done with either the joystick or mouse.

In general, whenever something is lit on the far right, you have won that
amount (in thousands) and you can either COLLECT it, or opt to GAMBLE IT,
where the outcome could be either of the other two flashing squares above
and below it. The HI-LO feature enables you to gamble on the spin of a
number (1-10) and progress through the features on the right side.

The jackpot (gained by gambling, through the HI-LO feature or by getting
three Lucozade cans) rewards you with points for remaining credits, a hefty
score bonus and the code to start at the next level whenever you play
again! 
@ENDSCREEN

#----------------------- Game Over
@SCREEN Bonus Game
@BACKGROUND LBlue
@TEXT 70,6,440,100,TitleFont,Yellow,Center
SUPERFROG

@FILLBOX 20,35,600,205,OceanBlue
@BOX 20,35,600,205,White
@TEXT 30,40,580,205,TextFont,White
GAME OVER
 After each contact with an enemy, you lose one unit of energy. When you
lose five units of energy, a life is lost.

The game ends when your supply of lives is spent or you run out of
super-energy time (which shouldn't happen as there is sufficient Lucozade on
each level to enable it to be completed comfortably).

TROUBLE SHOOTING
 If you should encounter any problems with your Superfrog disc, please
follow the instructions to the letter and check all connections. After that, call our Helpline number for advice on UK 0924 201846 Mon-Fri 10am-4pm. Our staff will only be too happy to help you.  

Should you need to return your disc, send the disc ONLY, in a suitable
padded bag to the address on the back of the manual/box, marked for the
attention of the returns department.
@ENDSCREEN
